{% extends "base.html" %}
{% load static %}

{% block content %}
    {% if items %}

	    <div id="app">
	    	<ul>
	    		<li v-for="session in sessions">
	    			<a href="" v-bind:href="session.url">[[ session.fields.routine ]] - [[ session.fields.user ]]</a>
	    			<button v-on:click="expand(session.pk)"></button>
	    		</li>
	    	</ul>
	    </div>

	{% else %}
		<p>No Sessions. Maybe think about working out?</p>
	{% endif %}
{% endblock content %}

{% block javascript %}
    {{ block.super }}

	<script src="https://cdn.jsdelivr.net/npm/vue@2.6.10/dist/vue.js"></script>
	<script type="text/javascript">
    	var sessions = {{ items_json|safe }};
    </script>

	<script type="text/javascript">
    	var app = new Vue({
    		delimiters: ['[[', ']]'],
    		el: '#app',
    		data: {
    			sessions: sessions
    		},
    		methods: {
    			expand: function(id) {
    				console.log(session);
    			}
    		}
    	});
    </script>
{% endblock javascript %}